[![Build Status](https://drone.fk.jochum.dev/api/badges/mail/dovecot/status.svg)](https://drone.fk.jochum.dev/mail/dovecot)

# Dovecot

Dovecot IMAP/POP Submission Server for Postfixadmin.

## Environment variables

- POSTMASTER_EMAIL = 'postmaster@jochum.dev'
- HOSTNAME = 'mail.jochum.dev'
- RELAY_HOST = relay.fk.jochum.dev
- RELAY_PORT - 26 for PMG else 25
- RELAY_TRUSTED - either `yes` or `no`
    Is the relay server trusted? This determines whether we try to send (Postfix-specific) XCLIENT data to the relay server
- SQL_TYPE - either `pgsql` or `mysql`
- SQL_USER - readonly Database user
- SQL_PASSWORD
- SQL_HOST
- SQL_DATABASE

## Volumes

### Overrides

- Can contain overrides for config templates/files

### cert

- Must contain ca.crt, tls.crt, tls.key

## License

This is MIT licensed.
